package cn.iocoder.yudao.module.order.dal.dataobject.orderGuanlian;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 订单关联 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_order_guanlian")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OrderGuanlianDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 订单id
     */
    private Long orderId;
    /**
     * 关联订单id
     */
    private Long relateOrderId;
    /**
     * 关联时间
     */
    private Date addTime;

}
