package cn.iocoder.yudao.module.order.dal.dataobject.orderLabel;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 订单箱号标签 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_order_label")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OrderLabelDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 订单id
     */
    private Long orderId;
    /**
     * 父订单id
     */
    private Long parentOrderId;
    /**
     * 开始
     */
    private Integer start;
    /**
     * 结束
     */
    private Integer end;

}
