package cn.iocoder.yudao.module.order.vo.order;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel("管理后台 - 客户出货量统计excel")
public class OrderShipDataExcelVo {
    @ExcelProperty("跟进客服 customer service")
    private String nickname;
    @ExcelProperty("客户名称 Client name")
    private String name;
    @ExcelProperty("联系电话 Contact NO")
    private String phone;
    @ExcelProperty("装柜时间 Loading time")
    private Date loadTime ;
    @ExcelProperty("提货单号 PL NO")
    private String tidanNo;
    @ExcelProperty("唛头 Mark")
    private String marks;
    @ExcelProperty("品名 Items")
    private String productName;
    @ExcelProperty("件数 Qtty of ctns")
    private String num;
    @ExcelProperty("方数 BC")
    private String volume;
    @ExcelProperty("目的地 Destination")
    private String destination;
    @ExcelProperty("是否控货 Cargo control")
    private String isControl;
}
