package cn.iocoder.yudao.module.order.vo.order;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("管理后台 - 订单统计")
public class StatisticsOrderVO {

    @ApiModelProperty(value = "入仓总箱数")
    private Integer totalNum = 0;

    @ApiModelProperty(value = "入仓总方数")
    private String totalVolume = "0";

    @ApiModelProperty(value = "入仓总重量")
    private String totalWeight = "0";

    @ApiModelProperty(value = "入仓总数量")
    private Integer orderQuantity = 0;

    @ApiModelProperty(value = "总重货方数")
    private String totalWVolume = "0";

    @ApiModelProperty(value = "总泡货重量")
    private String totalVWeight = "0";

    @ApiModelProperty(value = "收费总数量")
    private Integer totalChargeQuantity = 0 ;

    @ApiModelProperty(value = "收费总方数")
    private String totalChargeVolume = "0";

    @ApiModelProperty(value = "收费总重量")
    private String totalChargeWeight = "0";


}
